﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model
{
    public class Carte
    {
        private readonly string nom;
        public string Nom => nom;
        public string Description { get; set; }
        public string Pouvoir { get; set;}
        public string Strategies { get; set; }
        public int? Note
        {
            get
            {
                return Note;
            }
            set
            {
                if (value < 0 || value > 10)
                {
                    throw new ArgumentOutOfRangeException(nameof(value), "La valeur de la note doit être comprise entre 0 et 10.");
                }
            }
        }
        public string LienImage { get; set; } = "notFound";
 
        public Carte(string nom, string pouvoir, string strategies, int? note, string lienImage, string description)
        {
            this.nom = nom;
            Description = description;
            Pouvoir = pouvoir;
            Strategies = strategies;
            Note = note;
            LienImage = lienImage;
        }
    }
}
